# Rules in this file were initially inferred by Visual Studio IntelliCode from the C:\Repositories\Steven And Seeman\RedRestaurant\Restaurant codebase based on best match to current usage at 11/09/2022
# You can modify the rules from these initially generated values to suit your own policies
# You can learn more about editorconfig here: https://docs.microsoft.com/en-us/visualstudio/ide/editorconfig-code-style-settings-reference
[*.cs]


#Core editorconfig formatting - indentation

#use soft tabs (spaces) for indentation
indent_style = space

#Formatting - new line options

#require members of object initializers to be on the same line
csharp_new_line_before_members_in_object_initializers = false

#Formatting - organize using options

#do not place System.* using directives before other using directives
dotnet_sort_system_directives_first = false

#Formatting - spacing options

#require a space after a keyword in a control flow statement such as a for loop
csharp_space_after_keywords_in_control_flow_statements = true
#do not place space characters after the opening parenthesis and before the closing parenthesis of a method call
csharp_space_between_method_call_parameter_list_parentheses = false
#place a space character after the opening parenthesis and before the closing parenthesis of a method declaration parameter list.
csharp_space_between_method_declaration_parameter_list_parentheses = false

#Formatting - wrapping options

#leave code block on single line
csharp_preserve_single_line_blocks = true

#Style - expression bodied member options

#prefer block bodies for constructors
csharp_style_expression_bodied_constructors =false:error
#prefer block bodies for methods
csharp_style_expression_bodied_methods = false:suggestion

#Style - Expression-level  preferences

#prefer objects to be initialized using object initializers when possible
dotnet_style_object_initializer = true:suggestion

#Style - language keyword and framework type options

#prefer the language keyword for local variables, method parameters, and class members, instead of the type name, for types that have a keyword to represent them
dotnet_style_predefined_type_for_locals_parameters_members = true:suggestion

#Style - modifier options

#prefer accessibility modifiers to be declared except for public interface members. This will currently not differ from always and will act as future proofing for if C# adds default interface methods.
dotnet_style_require_accessibility_modifiers = for_non_interface_members:suggestion

#Style - Modifier preferences

#when this rule is set to a list of modifiers, prefer the specified ordering.
csharp_preferred_modifier_order = public,static:suggestion

#Style - qualification options

#prefer properties not to be prefaced with this. or Me. in Visual Basic
dotnet_style_qualification_for_property = false:suggestion
dotnet_diagnostic.CA2014.severity=error
dotnet_diagnostic.CA2016.severity=error
dotnet_diagnostic.CA1070.severity=warning
dotnet_diagnostic.ASP0000.severity=error
dotnet_diagnostic.CA1001.severity=error
dotnet_diagnostic.BL0004.severity=error
dotnet_diagnostic.BL0001.severity=error
dotnet_diagnostic.CA1507.severity=error
dotnet_diagnostic.MVC1004.severity=error
dotnet_diagnostic.CA2244.severity=error
dotnet_diagnostic.CA2246.severity=error
dotnet_diagnostic.CA2255.severity=error
csharp_style_throw_expression=true:warning
csharp_prefer_static_local_function=true:warning
dotnet_diagnostic.MVC1006.severity=warning
dotnet_diagnostic.MVC1003.severity=warning
dotnet_diagnostic.MVC1002.severity=warning
dotnet_diagnostic.MVC1001.severity=warning
dotnet_diagnostic.MVC1000.severity=warning
dotnet_diagnostic.BL0006.severity=warning
dotnet_diagnostic.BL0005.severity=warning
dotnet_diagnostic.CA2252.severity=warning
dotnet_diagnostic.CA2234.severity=error

[*.{cs,vb}]
dotnet_diagnostic.CA2007.severity=error
dotnet_diagnostic.CA2009.severity=error
dotnet_diagnostic.CA2000.severity=error
dotnet_diagnostic.CA2002.severity=error
dotnet_diagnostic.CA2008.severity=error
dotnet_diagnostic.CA2011.severity=error
dotnet_diagnostic.CA2012.severity=error
dotnet_diagnostic.CA2013.severity=error
dotnet_diagnostic.CA2015.severity=error
dotnet_diagnostic.CA2017.severity=error
dotnet_diagnostic.CA2100.severity=error
dotnet_diagnostic.CA1000.severity=warning

# Default severity for all analyzer diagnostics
dotnet_analyzer_diagnostic.severity = none
dotnet_diagnostic.CA1031.severity=error
dotnet_diagnostic.CA1034.severity=error
dotnet_diagnostic.CA1044.severity=error
dotnet_diagnostic.CA1064.severity=error
dotnet_diagnostic.CA1065.severity=error
dotnet_diagnostic.CA1068.severity=error
dotnet_diagnostic.CA1304.severity=error
dotnet_diagnostic.CA1305.severity=error
dotnet_diagnostic.CA1307.severity=error
dotnet_diagnostic.CA1501.severity=error
dotnet_diagnostic.CA1502.severity=error
dotnet_diagnostic.CA1505.severity=error
dotnet_diagnostic.CA1506.severity=error
dotnet_diagnostic.CA1508.severity=error
dotnet_diagnostic.CA1509.severity=error
dotnet_diagnostic.CA1700.severity=error
dotnet_diagnostic.CA1707.severity=error
dotnet_diagnostic.CA1708.severity=error
dotnet_diagnostic.CA1710.severity=error
dotnet_diagnostic.CA1711.severity=error
dotnet_diagnostic.CA1712.severity=error
dotnet_diagnostic.CA1713.severity=error
dotnet_diagnostic.CA1715.severity=error
dotnet_diagnostic.CA1716.severity=error
dotnet_diagnostic.CA1720.severity=error
dotnet_diagnostic.CA1721.severity=error
dotnet_diagnostic.CA1724.severity=error
dotnet_diagnostic.CA1725.severity=error
dotnet_diagnostic.CA1727.severity=error
dotnet_diagnostic.CA1816.severity=error
dotnet_diagnostic.CA2200.severity=error
dotnet_diagnostic.CA2201.severity=error
dotnet_diagnostic.CA2207.severity=error
dotnet_diagnostic.CA2208.severity=error
dotnet_diagnostic.CA2211.severity=error
dotnet_diagnostic.CA2213.severity=error
dotnet_diagnostic.CA2214.severity=error
dotnet_diagnostic.CA2215.severity=error
dotnet_diagnostic.CA2216.severity=error
dotnet_diagnostic.CA2217.severity=error
dotnet_diagnostic.CA2219.severity=error
dotnet_diagnostic.CA2225.severity=error
dotnet_diagnostic.CA2226.severity=error
dotnet_diagnostic.CA2227.severity=error
dotnet_diagnostic.CA2229.severity=error
dotnet_diagnostic.CA2231.severity=error
dotnet_diagnostic.CA2235.severity=error
dotnet_diagnostic.CA2237.severity=error
dotnet_diagnostic.CA2241.severity=error
dotnet_diagnostic.CA2242.severity=error
dotnet_diagnostic.CA2243.severity=error
dotnet_diagnostic.CA2245.severity=error
dotnet_diagnostic.CA2247.severity=error
dotnet_diagnostic.CA2248.severity=error
dotnet_diagnostic.CA2249.severity=error
dotnet_diagnostic.CA2250.severity=error
dotnet_style_object_initializer=true:error
dotnet_style_collection_initializer=true:error
dotnet_style_prefer_simplified_boolean_expressions=true:warning
dotnet_style_explicit_tuple_names=true:warning
dotnet_style_readonly_field=true:warning
dotnet_code_quality_unused_parameters=all:warning
dotnet_diagnostic.CA2254.severity=warning

[*.vb]
dotnet_diagnostic.CA1047.severity=warning